| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IFuncMinimum Class Referenceabstract

Interface file to find minimum of the function and compute covariance matrix (matrix of error) More...

`#include <GaudiGSL/IFuncMinimum.h>`

Inheritance diagram for IFuncMinimum:
[legend]
Collaboration diagram for IFuncMinimum:
[legend]

## Public Types
typedef Genfun::AbsFunction | GenFunc
| Function which we minimize (. More...
typedef Genfun::Argument | Arg
| Argument of function "GenFunc" (. More...
typedef CLHEP::HepSymMatrix | Covariance
| Covariance matrix (matrix of error) (. More...
Public Types inherited from extend_interfaces< IAlgTool >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| DeclareInterfaceID (IFuncMinimum, 3, 0)
| InterfaceID. More...
virtual StatusCode | minimum (const GenFunc &fun, Arg &pars) const =0
| Do Multidimensional Minimization. More...
virtual StatusCode | minimum (const GenFunc &fun, Arg &pars, Covariance &covar) const =0
| Find minimum and gradient of the function "GenFunc". More...
Public Member Functions inherited from extend_interfaces< IAlgTool >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Detailed Description

Interface file to find minimum of the function and compute covariance matrix (matrix of error)

Author
  Kirill Miklyaev kiril.nosp@m.lm@i.nosp@m.ris1..nosp@m.itep.nosp@m..ru

Date
  2002-09-14

Definition at line 28 of file IFuncMinimum.h.

## Member Typedef Documentation

typedef Genfun::Argument IFuncMinimum::Arg

Argument of function "GenFunc" (.

See also
  CLHEP/GenericFunctions/Argument.hh)

Definition at line 35 of file IFuncMinimum.h.

typedef CLHEP::HepSymMatrix IFuncMinimum::Covariance

Covariance matrix (matrix of error) (.

See also
  CLHEP/Matrix/SymMatrix.h)

Definition at line 37 of file IFuncMinimum.h.

typedef Genfun::AbsFunction IFuncMinimum::GenFunc

Function which we minimize (.

See also
  CLHEP/GenericFunctions/AbsFunction.hh)

Definition at line 33 of file IFuncMinimum.h.

## Member Function Documentation

IFuncMinimum::DeclareInterfaceID | ( | IFuncMinimum | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IFuncMinimum::minimum | ( | const GenFunc & | fun,
|  | Arg & | pars
| ) |  | const
| pure virtual

Do Multidimensional Minimization.

Find minimum and gradient of the function "GenFunc"

Parameters

  fun | - function

See also
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters

  pars | - argument

See also
  CLHEP/GenericFunctions/Argument.hh

Returns
  StatusCode

virtual StatusCode IFuncMinimum::minimum | ( | const GenFunc & | fun,
|  | Arg & | pars,
|  | Covariance & | covar
| ) |  | const
| pure virtual

Find minimum and gradient of the function "GenFunc".

Parameters

  fun | - function

See also
  CLHEP/GenericFunctions/AbsFunction.hh

Parameters

  pars | - argument

See also
  CLHEP/GenericFunctions/Argument.hh

Parameters

  covar | - covariance matrix (matrix of error)

See also
  CLHEP/Matrix/SymMatrix.h

Returns
  StatusCode

The documentation for this class was generated from the following file:

- GaudiGSL/GaudiGSL/IFuncMinimum.h